> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get My Vote Activity



## OpenAPI

````yaml /openapi.json get /v1/me/vote-activity
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/me/vote-activity:
    get:
      tags:
        - Me
      summary: Get My Vote Activity
      operationId: get_my_vote_activity_v1_me_vote_activity_get
      parameters:
        - in: query
          name: days
          required: false
          schema:
            default: 30
            maximum: 366
            minimum: 1
            title: Days
            type: integer
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VoteActivityListResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
components:
  schemas:
    VoteActivityListResponse:
      properties:
        activity:
          items:
            $ref: '#/components/schemas/VoteActivityRowResponse'
          title: Activity
          type: array
        total:
          title: Total
          type: integer
      required:
        - activity
        - total
      title: VoteActivityListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    VoteActivityRowResponse:
      properties:
        date:
          format: date
          title: Date
          type: string
        thoughts_earned:
          title: Thoughts Earned
          type: integer
        votes_count:
          title: Votes Count
          type: integer
      required:
        - date
        - votes_count
        - thoughts_earned
      title: VoteActivityRowResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http

````